COMM(1) | General Commands Manual | COMM(1)

# NAME

`comm` —
select or reject lines common to two files

# SYNOPSIS

`comm` | [`-123f`] file1 file2

# DESCRIPTION

The `comm` utility reads file1 and file2, which should be sorted lexically, and produces three text columns as output: lines only in file1; lines only in file2; and lines in both files.

The filename ``-'' means the standard input.

The following options are available:

`-1`
  Suppress printing of column 1.
`-2`
  Suppress printing of column 2.
`-3`
  Suppress printing of column 3.
`-f`
  Fold case in line comparisons.

Each column will have a number of tab characters prepended to it equal to the number of lower numbered columns that are being printed. For example, if column number two is being suppressed, lines printed in column number one will not have any tabs preceding them, and lines printed in column number three will have one.

`comm` assumes that the files are lexically sorted; all characters participate in line comparisons.

# EXIT STATUS

The `comm` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

cmp(1), diff(1), sort(1), uniq(1)

# STANDARDS

The `comm` utility conforms to IEEE Std 1003.2-1992 (“POSIX.2”).

June 6, 1993 | NetBSD 9.0